Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000917SpeedFanOtherpublic2007-06-25 04:372007-09-18 10:27
Reporterkilobit 
Assigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD Athlon S939, nForce4-SLIOSWinXPproSP2-32bitOS Version
Product Version4.32 
Target VersionFixed in Version4.33 
Summary0000917: Crash after second start per session
DescriptionSpeedfan v4.28 runs perfectly, every time!
Speedfan v4.32 not, it crashs each start after the first start und close sequence.
Steps To Reproduce1. Clean Uninstall, clean install.
2. Start Speedfan, all ok.
3. Close Speedfan.
4. Restart Speedfan, now a message box pops up every second combined with a beep (SEE ATTACHED PICTURE). Program therefore unuseable. To close it, you can press ENTER for each message box and use the one second of time to click the CloseButton, or kill it with ProcessManager.
5. Every new start of the program shows the same unuseable behavior.
Additional InformationOTHER ISSUE independently of the above: The FAN speed readings are incorrect since updated to v4.32, the increased from correct 1000-2000rpm (depends on Potentiometer) up to 20000rpm, but with apparently no mathematical relation.

I've sent a REPORT from inside the program some days before, maybe you read it.
If you need more information on the two issues please contact me.

Motherboard: Asus A8N-SLI professional.
TagsNo tags attached.
Motherboard Model
Video Card ModelATI X800GT 256MB
Attached Filesjpg file icon speedfan432_crash.jpg [^] (107,914 bytes) 2007-06-25 04:37


jpg file icon speedfan_configure_431vs432.jpg [^] (162,827 bytes) 2007-06-25 23:58

- Relationships

-  Notes
(0002617)
kilobit (reporter)
2007-06-25 05:04

I have seen an attached screenshot in Report Number 800 (http://www.bugtrack.almico.com/view.php?id=800 [^]), it looks very strongly like my picture.
But I have NOT installed that mentioned security software. I use old McAfee 4.51 only in OnDemand-Mode, so no security software runs in the background at the moment, but I can assure you that no virus or trojan is now active.
NOW active Program(s): Firefox 1.5.x, nothing else in the taskbar.
Some little utils in the systray, like EntechMultires, but no big things.

------------
IDs 915 and 916 apparently describe the same error in the message box.
ID 916 says v4.31 runs without error.
I think it would be a good thing if I test with v4.31 too, so please let me know where I can get this Version or please send it directly to the Mailadresse which I used to get this bugtrack-account, Thanks!
(0002618)
tomh (reporter)
2007-06-25 11:53

Seems you have the same issue as us (the posts you mentioned). If you have time to help and want to test some
1. uninstall your mcafee temporarily and try 4.32 without it
2. Read my solution in the end of report number 800 try it
and tell us the results.
In case it haven't helped here's an original 4.31 install for you http://depositfiles.com/files/1088846 [^] (uploaded by me - malware free)

May these number of reports could be enough to ring the bell for Alfredo...
(0002619)
kilobit (reporter)
2007-06-25 14:14

Hello tomh and thank you very much for v4.31!
This version runs without problems even with 100 restarts, v4.32 still produces the same errors in the same conditions like before.
SECOND GOOD THING: with v4.31 the Fan Readings are correct again. Both fans have their realistic values back ... 1758/1361rpm with v4.31 vs. 13918/10887rpm with v4.32.

In the case with McAfee I think I have to describe what MY selfmade installation of v4.51 really is: Only a minimalistic GUI for the commandline based scanner inside the McAfee-SDAT-Virusdefinitionfiles. I'm just to lazy for running the batchfile for the scanner's exe, so I use the virus scanner only ondemand with this GUI.
I installed only that GUI and NOT ANY of the always-active background scanning tools!
So a uninstall would not change anything because in the last days McAfee was not running during Speedfan was active. The same counts for the Win2K-Compatibility-Mode, it would change nothing.
Or have you meant that I should use the speedfan.exe with the Win2K-Mode?

For me v4.31 is the solution for all problems, it is all there what _I_ need (AMD K8-Sensor, ITE8712, nForce4, PATA+SATA-HDDs).

@Alfredo: Maybe you have packed to much new things in v4.32, a look in the program-history show the big step from v4.31 to v4.32. Lets check the increasing file sizes: v4.28->v4.31= +46kB which contains 4.29,4.30,4.31.
v4.31->v4.32= +66kB from ONE version step alone!!!
Yes, this comparison is scientificly not exact but it shows enough (for me!).

Second point: v4.32 has corrupted the Fan speed readings, back to v4.31 corrects this. Random? I dont think so ...

Alfredo, anyway, thank you very much for your great tool speedfan. Please find a possibility to get back to a rocksolid functionality!
(0002620)
tomh (reporter)
2007-06-25 16:12

SF 4.32 is for those dumbs who use vista and want to use speedfan under that crap. So basically the most of the improvements of 4.32 is for running SF under vista smoothly. Personally I believe these compatibility improvements are the cause of our problem but time will tell...

For fan speed reading problem of 4.31 -> 4.32 you'd better to open up a new issue. Make sure you have send reports from both version of the program, and in the report comment insert a link to your newly made bugtrack issue.

And finally OK Im glad I could help you so you are running 4.31 fine but if you'd mind to play a bit with 4.32 and would try what I recommended that way you could help Alfredo to get rid of this problem. I meant w2k compatibility setting for SF the way it written in the last post of the issue nr. 800.
(0002621)
kilobit (reporter)
2007-06-25 23:58

The words "vista" and "crap" in one sentence -> yeah, that's right, only new money for Microsoft with no real reward for the costumer's money. But that's another issue ;-)


Compatibility-Mode: OK, I've experimented with it. But now the computer is running since many hours, with different programs turned on and off; at the moment as the big ones Winamp and the Hauppauge TV-Capturing are working. I can not reboot now, i.e. in the RAM there will be chaos and no clear order like after a fresh boot.
For some hours v4.31 was working too, all ok.

I changed compatibility of v4.32 speedfan.exe to Win2K, then run three times and all went ok, then changed back to normal WinXP, run some times and it was ok too.
But I'm not sure if that result is anything worth because I think "our" error maybe triggered of "something in RAM". But as said above, currently in my RAM there are "to much things inside" and perhaps therefore the error _can_not_ occur now.

Maybe I find time tomorrow to test the compatibility issue tomorrow with the fresh booted computer.

---------
Now some words to the wrong Fan readings: (I dont open a new issue!)
I think I've found the reason for the wrong numbers and I have to correct one of my sentences from above because there IS a mathematical relation.
It's a division by 8, exactly by the "FAN DIVISOR" in the Advanced Configuration of the IT8712F-chip. In v4.31 the values are available, in v4.32 they have disappeared, SEE THE ATTACHED PICTURE "speedfan_configure_431vs432.jpg"!!!
Alfredo, please bring back these parameters :-)
(0002623)
kilobit (reporter)
2007-06-26 13:34

A new day begins with a fresh boot and new experiments with Speedfan which delivered the following results:
1) v4.32 startet, all ok, closed.
2) v4.32 startet --> our "beloved" error occurs, killed by TaskManager.
3) v4.32 startet --> same as above.
4) v4.31 startet, all ok, closed.
5) v4.31 startet, all ok, closed.
6) v4.32 startet --> the error is back and the message boxes tried to take over my desktop again :-)
7) COMPATIBILITY of v4.32 changed to W2K.
8) v4.32(W2K) startet, all ok !!!, closed normally.
9) v4.32(W2K) startet, all ok the second time too, closed normally.
10) some other programs are running now; the computer is part of the working world, not only for experiments ;-)
11) after a while, v4.32(W2K) startet, all ok, closed.
12) change back the compatibility to WinXP, v4.32 startet --> all ok, too !!!, closed normal.
13) v4.32 startet the last time for today, again all ok, closed.

CONCLUSION: The results from changing the compatibility (until point 9) are what _YOU_(tomh) had expected.
From point 10 on the results are what _I_ had expected because the things gone equal to my yesterday post: the other programs bring "chaos" in the RAM, so v4.32 can not reproduce the error when turned back the compatibility, because in the meantime the "suspect" memory pages have been taken over by the other programs.
But a chance exists that v4.32 has turned its way to communicate with the RAM by the changed compatibility. Maybe this effect lasts even when returned to standard WinXP-compatibility.

I hope this informations can help Alfredo at finding the source of the message box-Terror-Error :-)
@Alfredo: are you actually reading this entries in your bugtrack section???
(0002624)
tomh (reporter)
2007-06-26 20:24

Thanks for your time to test.
And yes you're right seems Alfredo don't have so much time recently to browse his own bugtracker... or at least he doesn't answer us :)
(0002872)
alfredo (manager)
2007-09-18 10:26

I'm sorry for this. I fixed everything back in april, but released the beta later. Anyway: all these issue are fixed in SpeedFan 4.33 Final.

- Issue History
Date Modified Username Field Change
2007-06-25 04:37 kilobit New Issue
2007-06-25 04:37 kilobit File Added: speedfan432_crash.jpg
2007-06-25 04:37 kilobit Video Card Model => ATI X800GT 256MB
2007-06-25 05:04 kilobit Note Added: 0002617
2007-06-25 11:53 tomh Note Added: 0002618
2007-06-25 14:14 kilobit Note Added: 0002619
2007-06-25 16:12 tomh Note Added: 0002620
2007-06-25 23:58 kilobit Note Added: 0002621
2007-06-25 23:58 kilobit File Added: speedfan_configure_431vs432.jpg
2007-06-26 13:34 kilobit Note Added: 0002623
2007-06-26 20:24 tomh Note Added: 0002624
2007-09-18 10:26 alfredo Note Added: 0002872
2007-09-18 10:26 alfredo Status assigned => acknowledged
2007-09-18 10:26 alfredo Resolution open => fixed
2007-09-18 10:26 alfredo Fixed in Version => 4.33
2007-09-18 10:27 alfredo Status acknowledged => resolved


Copyright © 2000 - 2018 MantisBT Team
Time: 0.4296 seconds.
memory usage: 8,108 KB
Powered by Mantis Bugtracker